<?PHP if (empty($template_lang)) exit(); ?>
<?php include "header.php" ?>
<?php //require_once( 'couch/cms.php' ); ?>
<cms:template clonable='1' nested_pages='1' order='1' title="<?= $template_title ?>">
	<cms:editable name='article' label="Содержание статьи" type='richtext' toolbar='full'></cms:editable>
	<cms:repeatable name='exercises_images' label='Картинки к упражнениям'>
		<cms:editable name='exercises_image' type='image' label='Адрес картинки' width='200' height='200' col_width='500' />
		<cms:editable name='image_id' type='text' label='ID картинки' width='100' />
	</cms:repeatable>
	<cms:repeatable name='exercises_contents' label='Упражнения'>
		<cms:editable 
			name='exercise_type' 
			type='dropdown' 
			label='Тип упражнения'
			opt_values='1 - Соединить слова/предложения |
						2 - Картинка  - и к ней что-то тащишь |
						3 - Расставить в правильном порядке |
						4 - Тест с вариантами ответов |
						5 - Вставить слово (перетаскиванием) |
						6 - Напечатать слово в предложении'
			col_width='250'
			width='200'
		></cms:editable>
		<cms:editable name='exercise_contents' type='textarea' label="Содержание упражнения" no_xss_check='1'></cms:editable>
	</cms:repeatable>
</cms:template>
	<cms:if k_is_page>
	<cms:nested_pages>
        <cms:if k_nestedpage_id = k_page_id >
            <cms:set nested_page_depth = k_level 'global' /> 
			<cms:set page_has_children = k_total_children 'global'/>
		</cms:if>
		<cms:if k_nestedpage_id = k_prev_nestedpage_id>
			<cms:set prev_nested_page_has_children = k_total_children 'global' />
		</cms:if>
		<cms:if k_nestedpage_id = k_next_nestedpage_id>
			<cms:set next_nested_page_has_children = k_total_children 'global' />
        </cms:if>
    </cms:nested_pages>
	<div class = 'breadcrumbs'>
	<a href="/ru/theory/<?= $template_lang ?>/"><cms:show k_template_title /><!--Теория норвежского языка--></a> » <cms:nested_crumbs ignore_show_in_menu='1' />
	</div>
	<cms:if page_has_children='0'>
		<cms:set nav_region = "<div class='navigation'>
			<cms:if prev_nested_page_has_children>
				<cms:pages id=k_prev_nestedpage_id>		
					<a href='<cms:show k_prev_nestedpage_link />'>Назад</a>
				</cms:pages>
			<cms:else />
				<a href='<cms:show k_prev_nestedpage_link />'>Назад</a>
			</cms:if>
			<a href='<cms:show k_template_link />/?p=<cms:show k_nested_parent_id />' />Содержание</a>
			<cms:if next_nested_page_has_children>
				<cms:pages id=k_next_nestedpage_id>		
					<a href='<cms:show k_next_nestedpage_link />'>Вперёд</a>
				</cms:pages>
			<cms:else />
				<a href='<cms:show k_next_nestedpage_link />'>Вперёд</a>
			</cms:if>
		</div>" />
		<div class="article">
		<h1><cms:show k_page_title /></h1>
<cms:if k_user_access_level ge '7' >
<p style="text-align:right;">
  <a target="_blank" class="lightbutton" href="<cms:admin_link />">Редактировать</a>
</p>
</cms:if>
			<cms:show article />
		</div>
		<cms:show nav_region />
	<cms:else />
		<h1>
			<cms:if nested_page_depth='1'>
				<cms:pages id=k_nested_parent_id>
					<cms:show k_page_title />
				</cms:pages>
			<cms:else />
				<cms:show k_page_title />
			</cms:if>
		</h1>
<cms:if k_user_access_level ge '7' >
<p style="text-align:right;">
  <a target="_blank" class="lightbutton" href="<cms:admin_link />"><?= _("Редактировать") ?></a>
</p>
</cms:if>
		<ol class="articles-enumeration">
			<cms:nested_pages 
			   root="<cms:if nested_page_depth>@current-1</cms:if>" 
			   childof='@current' depth='0'>
				<cms:if k_nestedpage_parent_id!='-1'>
					<cms:if k_immediate_children=='0'>
						<li><a href="<cms:show k_nestedpage_link />"><cms:show k_nestedpage_title /></a></li>
					<cms:else />
						<h3><cms:show k_nestedpage_title /></h3>				
					</cms:if>
				</cms:if>
			</cms:nested_pages>
		</ol>
	</cms:if>
</cms:if>

<cms:if k_is_home>
<h1><cms:show k_template_title /><!--Теория норвежского языка--></h1>
<ul id="theorymenu">
	<cms:nested_pages depth='1'>
		<li><a href="<cms:show k_nestedpage_link />"><div><cms:php> include $_SERVER['DOCUMENT_ROOT'].	"/img/".<cms:show k_nestedpage_name />.".svg";</cms:php></div><span><cms:show k_nestedpage_title /></span></a></li>
	</cms:nested_pages>
</ul>
<ul id="foreignlangsmenu"><?= _("Выбрать другой язык") ?>
	<p>
	<?PHP
	 $langnames = array(
	 	"no" => array('norwegian', _("Норвежский")),
		"is" => array('icelandic', _("Исландский")),
		"de" => array('german', _("Немецкий")),
		"en" => array('english', _("Английский")),
		"ru" => array('russian', _("Русский"))
		);
	 foreach($langnames as $code => $langinfo) {
		 if ($langinfo[0]!=$template_lang) {
	?>
	<li><a href="/ru/theory/<?= $langinfo[0] ?>.php" title="<?= $langinfo[1] ?>"><img class="icon" src="/img/flags/<?= $code ?>.png" /></a></li>
	<?PHP }
	 }
	 ?>
	</p>
</ul>
</cms:if>
<div id="copyright" style="text-align:right;font-size:0.8em;">Powered by 
<a href="http://www.couchcms.com/" title="CouchCMS - Simple Open-Source Content Management">CouchCMS</a></div>
<?PHP include "footer.php" ?>
<?php COUCH::invoke(); ?>